{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "DHI_ID"; 
            externalType = NUMBER; 
            name = dhiId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "OCC_ID"; 
            externalType = NUMBER; 
            name = occId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID_DELEGUE"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PLA_ID"; 
            externalType = NUMBER; 
            name = plaId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (dhiId); 
    className = "org.cocktail.fwkcktlhamac.serveur.metier.EODelegationHistorique"; 
    classProperties = (
        dCreation, 
        dModification, 
        persId, 
        toOccupation, 
        toPlanning, 
        tosIndividu, 
        tosStructure
    ); 
    externalName = "HAMAC.DELEGATION_HISTORIQUE"; 
    fetchSpecificationDictionary = {}; 
    name = DelegationHistorique; 
    primaryKeyAttributes = (dhiId); 
    relationships = (
        {
            destination = Occupation; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = occId; sourceAttribute = occId; }); 
            name = toOccupation; 
        }, 
        {
            destination = Planning; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = plaId; sourceAttribute = plaId; }); 
            name = toPlanning; 
        }, 
        {
            destination = "Fwkpers_Individu"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = tosIndividu; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = tosStructure; 
        }
    ); 
    userInfo = {intermediateClass = "A_ToManyPersonne"; }; 
}
